Can't change the keyboard layout from a default install

Bug #834523 reported by Jeremy Bicha on 2011-08-26
118
This bug affects 20 people
Affects Status Importance Assigned to Milestone
gnome-control-center (Ubuntu)
High
Rodrigo Moya
Oneiric
High
Rodrigo Moya

Bug Description

Ubuntu now hides the Region & Language Settings panel of System Settings in favor of Ubuntu's Language Support capplet. However, Ubuntu's Language Support provides no way to change the keyboard layout.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: gnome-control-center 1:3.1.5-0ubuntu4
ProcVersionSignature: Ubuntu 3.0.0-9.14-generic 3.0.3
Uname: Linux 3.0.0-9-generic x86_64
Architecture: amd64
Date: Fri Aug 26 04:42:14 2011
SourcePackage: gnome-control-center
UpgradeStatus: No upgrade log present (probably fresh install)

Jeremy Bicha (jbicha) wrote :
Changed in gnome-control-center (Ubuntu Oneiric):
importance: Undecided → High
status: New → Confirmed
assignee: nobody → Rodrigo Moya (rodrigo-moya)
Changed in gnome-control-center (Ubuntu Oneiric):
milestone: none → ubuntu-11.10-beta-1
Pete Goodall (pgoodall) wrote :

Afaict, the Region & Language Settings dialog doesn't exist.

$ grep Region /usr/share/applications/*.desktop
/usr/share/applications/gnome-region-panel.desktop:Name=Region and Language

$ grep Exec /usr/share/applications/gnome-region-panel.desktop
Exec=gnome-control-center region

$ gnome-control-center region

(gnome-control-center:12420): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

** (gnome-control-center:12420): WARNING **: Could not find settings panel "region"

** (gnome-control-center:12420): WARNING **: Could not load setting panel "region": Unknown error

Rodrigo Moya (rodrigo-moya) wrote :

the gnome-region-panel.desktop includes the OnlyshowIn=GNOME;, so that, on Unity we show the language selector. But yes, thus we miss the layout selection, so maybe we want to include that in language-selector? as a workaround, you can add Unity; to the OnlyShowIn value, so that it's shown also on Unity

quantenemitter (quantenemitter) wrote :

This workaround does not work. gnome-control-center segfaults. For further information, see bug #837459

Rodrigo Moya [2011-08-30 14:54 -0000]:
> But yes, thus we miss the layout selection, so maybe we want to
> include that in language-selector?

I don't think we'll have time to implement something as complex as a
keyboard selector in language-selector for oneiric. Also, it doesn't
really fit there, it configures languages, not keyboard layouts. This
should really be in the "Keyboard" capplet...

Could we display the widget again, and only show the keyboard layout
bits, and rename it from "Region and Language" (which nobody will look
at for keyboard settings anyway) to "Keyboard Layout"?

Martin
--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

Changed in gnome-control-center (Ubuntu Oneiric):
status: Confirmed → Fix Committed
Martin Pitt (pitti) on 2011-08-31
Changed in gnome-control-center (Ubuntu):
milestone: ubuntu-11.10-beta-1 → ubuntu-11.10-beta-2
Yotam Benshalom (benshalom) wrote :

Is there a workaround in the meanwhile? Can new keyboard layouts be added via dconf or other means?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-control-center - 1:3.1.90-0ubuntu2

---------------
gnome-control-center (1:3.1.90-0ubuntu2) oneiric; urgency=low

  * debian/patches/10_keyboard_layout_on_unity.patch:
    - Show keyboard layout bits on Unity (LP: #834523)
  * debian/patches/50_ubuntu_systemwide_prefs.patch:
    - Add back system-wide proxy settings (LP: #795519)
  * debian/patches/04_add_theme_selection.patch:
    - Only connect to "changed" signal after the initial selection (LP: #834240)
 -- Rodrigo Moya <email address hidden> Wed, 31 Aug 2011 12:55:13 +0200

Changed in gnome-control-center (Ubuntu Oneiric):
status: Fix Committed → Fix Released
David Ronis (david-ronis) wrote :

I don't know if this is the same problem, but I just upgraded to 11.10 (released) on my Gateway netbook. The keyboard map is all messed up (I am using English(US)). In particular, the arrow keys (with or without numlock on) return the wrong keysyms I've tried several of the English settings, with no success.

Note that I'm running gnome classic using gdm (I could never get lightdm to select anything but unity).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions